Products
Retrieve a product
GET
/
products
/
{id}
Retrieve a product
curl --request GET \
--url https://{domain}/api/site/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/products/{id}"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 111,
"type": "physical",
"title": "Interior Door",
"description": "<string>",
"url": "interior-door",
"hidden": true,
"images": [
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
],
"categories": [
{
"id": 1,
"name": "Doors",
"url": "doors",
"parentCategory": 0
}
],
"options": [
{
"name": "Material",
"values": [
"Wood",
"Glass"
],
"advanced": true
}
],
"variants": [
{
"options": [
"Wood",
"Single"
],
"price": 199,
"onSale": true,
"regularPrice": 123,
"salePrice": 123,
"quantity": 123,
"sku": "D-001",
"weight": 123
}
],
"subscription": {
"cycles": 123,
"period": 123,
"periodUnit": "WEEKLY"
},
"file": "<string>"
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the product.
Example:
111
Response
A single product.
Unique identifier.
Example:
111
The type of the product.
Available options:
physical, digital, service, membership Example:
"Interior Door"
Supports light HTML formatting.
The product URL (handle) in your store.
Example:
"interior-door"
Whether the product is hidden in your store front.
Example:
[
"https://path-to-image.jpg",
"https://path-to-another-image.jpg"
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Subscription details for a subscription product.
Show child attributes
Show child attributes
Digital products only - URL of the digital file being sold.
Last modified on September 2, 2026
Was this page helpful?
⌘I
Retrieve a product

